<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann
  
  include("../../nav_haut.php"); // inclure le haut de la page 
  echo '<div class="corps" onmouseover="javascript:cache(\'smenu1\'); javascript:cache(\'smenu2\'); javascript:cache(\'smenu3\'); javascript:cache(\'smenu4\'); javascript:cache(\'smenu5\'); javascript:cache(\'smenu6\'); ">'; // debut du corps de la page
  

  if(isset($_SESSION["mailcli"])) //si les sessions sont pleines
  {
    if ($connexion)// si connexion à la base réussi
    {	
      mysql_select_db($base,$connexion) or die ("<p class='erreur'>La base est introuvable.</p>");
      
      if(!empty($_POST["numcb"])) //vérifie que au moins une case est cochée
      {
         
        $numcb = $_POST["numcb"];
        $totalnumcb = count($numcb);
        
        for($i=0;$i<$totalnumcb;$i++)
        {
          //suppression
          mysql_query("DELETE FROM freepay_carte_bancaire WHERE numcb = '".$numcb[$i]."';"); 
          
          echo "<p class='reussi'>Votre carte bancaire numéro <strong>".$numcb[$i]."</strong> a été retirée avec succès.</p>";
          
        }
        
      }
      
      //sélectionne toutes les cb ayant le numero de client de la session
      $requete="Select * from freepay_carte_bancaire where mailcli = '".$_SESSION["mailcli"]."' order by numcb;";
      $resultat = mysql_query($requete,$connexion); //connexion de la requete
      $ligne=mysql_fetch_assoc($resultat); //affichage des résultats
      
      echo "
      <object>
        <h4 class='titre'>Liste des numéros de Cartes Bancaires déjà enregistrées : </h4>
      </object>";
      
      if (!empty($ligne))
      {
        echo "<form action='cb_liste.php' method=post>";
          
          while($ligne) //titre des champs
          {   
            include("cb_afficher.php");
            $ligne=mysql_fetch_assoc($resultat);
          }
          
          echo "
          <h4 class='titre' onclick='change_affiche()'>Supprimer une CB</h4>
            <div id='InfoTable' style='display:none;'>
              <p>Cochez la case correspondante puis cliquer sur le bouton.
              <input type='submit' value='Supprimer' /></p>
            </div>
            <script type='text/javascript' src='../change_affiche.js'> </script> 
          </form>";
      }
      else
      {
        echo "<p class='info'>Aucun numéro CB enregistrée pour le moment. Vous pouvez en <strong><a href='cb_ajouter.php'>ajouter</a></strong> une.</p>";
      }
    }
  }
  else{
    echo "
    <script type='text/javascript'>
      window.location.replace('".$AdresseFreePay."support/client/connexion.php?URLRetour=http://".$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME']."');
    </script>
    ";
  }
  
  
  
  
  echo "</div>"; // fin du corps de la page
  include("../../nav_bas.php"); // inclure le bas de la page
  
?>
